com.mysql.cj.xdevapi

## Interface Row

    public interface Row

A row element returned from a SELECT query.

### Method Summary

All Methods Instance Methods Abstract Methods
`BigDecimal` `getBigDecimal(int pos)` Retrieve the value for column at position `pos' (starting at 0) as a decimal value.
`BigDecimal` `getBigDecimal(String fieldName)` Retrieve the value for column `fieldName' as a decimal value.
`boolean` `getBoolean(int pos)` Retrieve the value for column at position `pos' (starting at 0) as a boolean value.
`boolean` `getBoolean(String fieldName)` Retrieve the value for column `fieldName' as a boolean value.
`byte` `getByte(int pos)` Retrieve the value for column at position `pos' (starting at 0) as a byte value.
`byte` `getByte(String fieldName)` Retrieve the value for column `fieldName' as a byte value.
`Date` `getDate(int pos)` Retrieve the value for column at position `pos' (starting at 0) as a byte value.
`Date` `getDate(String fieldName)` Retrieve the value for column `fieldName' as a `Date` value.
`DbDoc` `getDbDoc(int pos)` Retrieve the value for column at position `pos' (starting at 0) as a DbDoc value.
`DbDoc` `getDbDoc(String fieldName)` Retrieve the value for column `fieldName' as a DbDoc value.
`double` `getDouble(int pos)` Retrieve the value for column at position `pos' (starting at 0) as a double value.
`double` `getDouble(String fieldName)` Retrieve the value for column `fieldName' as a double value.
`int` `getInt(int pos)` Retrieve the value for column at position `pos' (starting at 0) as an integer value.
`int` `getInt(String fieldName)` Retrieve the value for column `fieldName' as an integer value.
`long` `getLong(int pos)` Retrieve the value for column at position `pos' (starting at 0) as a long value.
`long` `getLong(String fieldName)` Retrieve the value for column `fieldName' as a long value.
`String` `getString(int pos)` Retrieve the value for column at position `pos' (starting at 0) as a string value.
`String` `getString(String fieldName)` Retrieve the value for column `fieldName' as a string value.
`Time` `getTime(int pos)` Retrieve the value for column at position `pos' (starting at 0) as a byte value.
`Time` `getTime(String fieldName)` Retrieve the value for column `fieldName' as a `Time` value.
`Timestamp` `getTimestamp(int pos)` Retrieve the value for column at position `pos' (starting at 0) as a byte value.
`Timestamp` `getTimestamp(String fieldName)` Retrieve the value for column `fieldName' as a `Timestamp` value.

### Method Detail

#### getBigDecimal

    BigDecimal getBigDecimal(String fieldName)

Retrieve the value for column `fieldName' as a decimal value.

Parameters:
  `fieldName` - field name
Returns:
  value

#### getBigDecimal

    BigDecimal getBigDecimal(int pos)

Retrieve the value for column at position `pos' (starting at 0) as a decimal value.

Parameters:
  `pos` - field position
Returns:
  value

#### getBoolean

    boolean getBoolean(String fieldName)

Retrieve the value for column `fieldName' as a boolean value.

Parameters:
  `fieldName` - field name
Returns:
  value

#### getBoolean

    boolean getBoolean(int pos)

Retrieve the value for column at position `pos' (starting at 0) as a boolean value.

Parameters:
  `pos` - field position field position
Returns:
  value

#### getByte

    byte getByte(String fieldName)

Retrieve the value for column `fieldName' as a byte value.

Parameters:
  `fieldName` - field name
Returns:
  value

#### getByte

    byte getByte(int pos)

Retrieve the value for column at position `pos' (starting at 0) as a byte value.

Parameters:
  `pos` - field position field position
Returns:
  value

#### getDate

    Date getDate(String fieldName)

Retrieve the value for column `fieldName' as a `Date` value.

Parameters:
  `fieldName` - field name
Returns:
  value

#### getDate

    Date getDate(int pos)

Retrieve the value for column at position `pos' (starting at 0) as a byte value.

Parameters:
  `pos` - field position field position
Returns:
  value

#### getDbDoc

    DbDoc getDbDoc(String fieldName)

Retrieve the value for column `fieldName' as a DbDoc value.

Parameters:
  `fieldName` - field name
Returns:
  value

#### getDbDoc

    DbDoc getDbDoc(int pos)

Retrieve the value for column at position `pos' (starting at 0) as a DbDoc value.

Parameters:
  `pos` - field position field position
Returns:
  value

#### getDouble

    double getDouble(String fieldName)

Retrieve the value for column `fieldName' as a double value.

Parameters:
  `fieldName` - field name
Returns:
  value

#### getDouble

    double getDouble(int pos)

Retrieve the value for column at position `pos' (starting at 0) as a double value.

Parameters:
  `pos` - field position field position
Returns:
  value

#### getInt

    int getInt(String fieldName)

Retrieve the value for column `fieldName' as an integer value.

Parameters:
  `fieldName` - field name
Returns:
  value

#### getInt

    int getInt(int pos)

Retrieve the value for column at position `pos' (starting at 0) as an integer value.

Parameters:
  `pos` - field position field position
Returns:
  value

#### getLong

    long getLong(String fieldName)

Retrieve the value for column `fieldName' as a long value.

Parameters:
  `fieldName` - field name
Returns:
  value

#### getLong

    long getLong(int pos)

Retrieve the value for column at position `pos' (starting at 0) as a long value.

Parameters:
  `pos` - field position
Returns:
  value

#### getString

    String getString(String fieldName)

Retrieve the value for column `fieldName' as a string value.

Parameters:
  `fieldName` - field name
Returns:
  value

#### getString

    String getString(int pos)

Retrieve the value for column at position `pos' (starting at 0) as a string value.

Parameters:
  `pos` - field position
Returns:
  value

#### getTime

    Time getTime(String fieldName)

Retrieve the value for column `fieldName' as a `Time` value.

Parameters:
  `fieldName` - field name
Returns:
  value

#### getTime

    Time getTime(int pos)

Retrieve the value for column at position `pos' (starting at 0) as a byte value.

Parameters:
  `pos` - field position
Returns:
  value

#### getTimestamp

    Timestamp getTimestamp(String fieldName)

Retrieve the value for column `fieldName' as a `Timestamp` value.

Parameters:
  `fieldName` - field name
Returns:
  value

#### getTimestamp

    Timestamp getTimestamp(int pos)

Retrieve the value for column at position `pos' (starting at 0) as a byte value.

Parameters:
  `pos` - field position
Returns:
  value

Copyright © 2016, 2023, Oracle and/or its affiliates.